	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "axis4")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_y_min", -20.00)
	call psetr("page_y_length", 4.00)
	call psetc("subpage_frame", "off")
	call psetr("page_y_position", 0.00)
	call psetc("subpage_x_date_max", "2012-01-01")
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_y_position", 2.00)
	call psetc("plot_layout", "positional")
	call psetr("subpage_y_max", 20.00)
	call psetr("subpage_y_length", 1.00)
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_x_date_min", "1912-01-01")

	call psetc("axis_orientation", "horizontal")
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetr("axis_hours_label_height", 0.40)
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.40)
	call psetc("axis_date_type", "automatic")
	call psetc("axis_minor_tick", "on")
	call paxis

	call pset1c("text_lines", (/"Using automatic labelling for long time serie..."/), 1)
	call psetr("text_font_size", 0.50)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pnew("page")
	call psetr("subpage_y_min", -20.00)
	call psetr("page_y_length", 4.00)
	call psetc("subpage_frame", "off")
	call psetr("page_y_position", 5.00)
	call psetc("subpage_x_date_max", "2012-06-01")
	call psetc("subpage_map_projection", "cartesian")
	call psetc("page_id_line", "off")
	call psetr("subpage_y_position", 2.00)
	call psetc("plot_layout", "positional")
	call psetr("subpage_y_max", 20.00)
	call psetr("subpage_y_length", 1.00)
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_x_date_min", "2011-06-01")

	call psetc("axis_orientation", "horizontal")
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetr("axis_hours_label_height", 0.40)
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.40)
	call psetc("axis_date_type", "automatic")
	call psetc("axis_minor_tick", "on")
	call paxis

	call pset1c("text_lines", (/"Using automatic labelling for One year time serie ..."/), 1)
	call psetr("text_font_size", 0.50)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pnew("page")
	call psetr("subpage_y_min", -20.00)
	call psetr("page_y_length", 4.00)
	call psetc("subpage_frame", "off")
	call psetr("page_y_position", 9.00)
	call psetc("subpage_x_date_max", "2012-05-10")
	call psetc("subpage_map_projection", "cartesian")
	call psetc("page_id_line", "off")
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_", 1.00)
	call psetc("plot_layout", "positional")
	call psetr("subpage_y_max", 20.00)
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_y_axis_type", "regular")
	call psetr("subpage_y_length", 1.00)
	call psetc("subpage_x_date_min", "2012-05-01")

	call psetc("axis_orientation", "horizontal")
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetr("axis_hours_label_height", 0.40)
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.40)
	call psetc("axis_date_type", "automatic")
	call psetc("axis_minor_tick", "on")
	call paxis

	call pset1c("text_lines", (/"Using automatic labelling for short time serie..."/), 1)
	call psetr("text_font_size", 0.50)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pnew("page")
	call psetr("subpage_y_min", -20.00)
	call psetr("page_y_length", 4.00)
	call psetc("subpage_frame", "off")
	call psetr("page_y_position", 13.00)
	call psetc("subpage_x_date_max", "2012-05-02 12:00")
	call psetc("subpage_map_projection", "cartesian")
	call psetc("page_id_line", "off")
	call psetr("subpage_y_position", 2.00)
	call psetc("plot_layout", "positional")
	call psetr("subpage_y_max", 20.00)
	call psetr("subpage_y_length", 1.00)
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_x_date_min", "2012-05-01 06:00")

	call psetc("axis_orientation", "horizontal")
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetr("axis_hours_label_height", 0.40)
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.40)
	call psetc("axis_date_type", "automatic")
	call psetc("axis_minor_tick", "on")
	call paxis

	call pset1c("text_lines", (/"Using automatic labelling for very short time serie..."/), 1)
	call psetr("text_font_size", 0.50)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
